Package io.vertx.rxjava3.core.net.endpoint

## Class ServerInteraction

- java.lang.Object
- - io.vertx.rxjava3.core.net.endpoint.ServerInteraction

-     public class ServerInteraction
      extends Object

  Request interaction with an endpoint, mostly callbacks to gather statistics.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<ServerInteraction>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServerInteraction​(ServerInteraction delegate)` |
    `ServerInteraction​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `ServerInteraction` | `getDelegate()` |
    `int` | `hashCode()` |
    `static ServerInteraction` | `newInstance​(ServerInteraction arg)` |
    `void` | `reportFailure​(Throwable failure)` | Report a failure.
    `void` | `reportRequestBegin()` | The request has begun.
    `void` | `reportRequestEnd()` | The request has ended.
    `void` | `reportResponseBegin()` | The response has begun.
    `void` | `reportResponseEnd()` | The request has ended.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<ServerInteraction> __TYPE_ARG

  - ### Constructor Detail

    - #### ServerInteraction

          public ServerInteraction​(ServerInteraction delegate)

    - #### ServerInteraction

          public ServerInteraction​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public ServerInteraction getDelegate()

    - #### reportFailure

          public void reportFailure​(Throwable failure)

      Report a failure.
      Parameters:
        `failure` - the failure to report

    - #### reportRequestBegin

          public void reportRequestBegin()

      The request has begun.

    - #### reportRequestEnd

          public void reportRequestEnd()

      The request has ended.

    - #### reportResponseBegin

          public void reportResponseBegin()

      The response has begun.

    - #### reportResponseEnd

          public void reportResponseEnd()

      The request has ended.

    - #### newInstance

          public static ServerInteraction newInstance​(ServerInteraction arg)